/////////////////////////////////////////////////////////////////////////////////////////
/// 
///	\file	Light.h
/// \author	Rob Bateman			( robthebloke@hotmail.com )
/// \brief	This file defines the single function OutputLight which will write the light
///			data to the file. 
///
/// \note	
/// 		This sourcefile is provided for free use for non-commercial purposes only. The
/// 		Software is provided 'as is' and no responsibility can be taken for any damages
/// 		that may be caused while using it. If you make use of this software within 
/// 		your code then it would be nice to have a small credit somewhere in your
/// 		finished product for my hard work :(
/// 		An e-mail saying you found it useful and possibly even a link to your product
/// 		would be really nice too ;)
///
///			Slip me a couple of quid and i might be kind enough to offer assistance in
/// 		sorting out your exporters ;) 
///
///				(C) 2004 Rob 'give me a job offer' Bateman 
///
/////////////////////////////////////////////////////////////////////////////////////////

#ifdef WIN32
#pragma once
#endif

#ifndef LIGHT_H_INCLUDED
#define LIGHT_H_INCLUDED

/////////////////////////////////////////////////////////////////////////////////////////

#include <maya/MObject.h>
#include <fstream>


/////////////////////////////////////////////////////////////////////////////////////////

/// \brief	This function outputs the Light to the specified file stream
/// \param	ofs	-	the output file stream
/// \param	obj	-	the handle to the maya node
/// 
extern void OutputLight(std::ofstream& ofs,MObject &obj);



#endif
