/////////////////////////////////////////////////////////////////////////////////////////
///
///	\file	Mesh.h
/// \author	Rob Bateman
/// \brief	This file defines the single function OutputMesh which will write the mesh
///			data to the file. 
/// \note	It may seem odd that I don't define any structures to hold the mesh data. For
///			example you may be thinking about traversing the scene and then building up
///			lists of all the scene data before writing the whole lot to a file at the end.
///			I would strongly advise against this apporach. Maya is not a trivial application 
///			and memory usage from just loading say a large file can be excessive. Maya also
///			tends to have problems when memory is severly restricted, ie - it crashes. 
///			Because of this, all of my exporters try to export the data in a way that requires
///			no data to be created. Occassionally I may store references to various maya 
///			objects in maps, but more on that later on....
/// 
///
/// \note	
/// 		This sourcefile is provided for free use for non-commercial purposes only. The
/// 		Software is provided 'as is' and no responsibility can be taken for any damages
/// 		that may be caused while using it. If you make use of this software within 
/// 		your code then it would be nice to have a small credit somewhere in your
/// 		finished product for my hard work :(
/// 		An e-mail saying you found it useful and possibly even a link to your product
/// 		would be really nice too ;)
///
///			Slip me a couple of quid and i might be kind enough to offer assistance in
/// 		sorting out your exporters ;) 
///
///				(C) 2004 Rob 'give me a job offer' Bateman 
/////////////////////////////////////////////////////////////////////////////////////////


#ifdef WIN32
#pragma once
#endif

#ifndef MESH_H_INCLUDED
#define MESH_H_INCLUDED

/////////////////////////////////////////////////////////////////////////////////////////
/// the includes
/// 
#include <maya/MObject.h>


/////////////////////////////////////////////////////////////////////////////////////////
/// this function outputs the specified mesh list
/// 
extern void OutputMesh(std::ostream&,const MObject&);


#endif

