//////////////////////////////////////////////////////////////////////////////////////////////
/// \file	SkinCluster.h
/// \author	Robert Bateman
/// \brief	If you want to use skinning within your game, you will need to get hold of 
///			the skin cluster node created within maya. This holds all of the skin weights
/// 		and references to the influencing transforms (joints, ik handles, influence 
/// 		objects etc).
/// \note	
/// 		This sourcefile is provided for free use for non-commercial purposes only. The
/// 		Software is provided 'as is' and no responsibility can be taken for any damages
/// 		that may be caused while using it. If you make use of this software within 
/// 		your code then it would be nice to have a small credit somewhere in your
/// 		finished product for my hard work :(
/// 		An e-mail saying you found it useful and possibly even a link to your product
/// 		would be really nice too ;)
///
///			Slip me a couple of quid and i might be kind enough to offer assistance in
/// 		sorting out your exporters ;) 
///
///				(C) 2004 Rob 'give me a job offer' Bateman 
//////////////////////////////////////////////////////////////////////////////////////////////

#ifdef WIN32
#pragma once
#pragma warning(disable:4786)
#endif


#ifndef SKIN_CLUSTER_H_INCLUDED
#define SKIN_CLUSTER_H_INCLUDED

/////////////////////////////////////////////////////////////////////////////////////////
/// the includes
/// 
#include <maya/MObject.h>
#include <iostream>


/// \brief	This function takes an MObject for a skin cluster and then ensures that all bones
///			required for the cluster are going to be exported to the file with it....
// 
extern void AddSkinClusterRef(const MObject& obj);

/////////////////////////////////////////////////////////////////////////////////////////
/// this function outputs the specified mesh list
/// 
extern void OutputSkinClusters(std::ostream&);

#endif

