///-----------------------------------------------------------------------------
/// 
/// \file	AnimCycle.cpp
/// \author	Rob Bateman
/// \brief	This file defines the XAnimCycle class. basicaly this class holds a 
///			set of animation cycles for each bone in the hierarchy. 
/// \note	
/// 		This sourcefile is provided for free use for non-commercial purposes only. The
/// 		Software is provided 'as is' and no responsibility can be taken for any damages
/// 		that may be caused while using it. If you make use of this software within 
/// 		your code then it would be nice to have a small credit somewhere in your
/// 		finished product for my hard work :(
/// 		An e-mail saying you found it useful and possibly even a link to your product
/// 		would be really nice too ;)
///
///			Slip me a couple of quid and i might be kind enough to offer assistance in
/// 		sorting out your exporters ;) 
///
///				(C) 2004 Rob 'give me a job offer' Bateman 
/// 
///-----------------------------------------------------------------------------

#include "AnimCycle.h"

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

XAnimCycle::XAnimCycle()
{

}

XAnimCycle::~XAnimCycle()
{

}

std::istream& operator >> (std::istream& ifs,XAnimCycle &ac)
{
	char buffer[256];
	int num_bones=0;
	int num_frames=0;
	float fStart,fEnd;

	ifs >> buffer;

	// gay gay gay gay gay ! why couldn't they have included >> for std::string!
	ac.m_AnimName = buffer;

	// get start and end times
	ifs >> buffer >> num_bones;
	ifs >> buffer >> fStart;
	ifs >> buffer >> fEnd;
	ifs >> buffer >> num_frames;

	// set the timing info for the cycle
	ac.m_Time.Initialise(fStart,fEnd,num_frames);

	// read in the keyframes for each bone in the cycle
	for(int i=0;i!=num_bones;++i)
	{
		int id;

		// create new bone anim structure
		XBoneAnimation* ptr = new XBoneAnimation;
		ptr->SetSize(num_frames);

		ifs >> buffer /* BONE_ANIMATION */ ;
		
		// read bone ID that this anim chunk relates to
		ifs >> id;


		// read keyframe data for bones
		ifs >> *ptr;

		ac.insert( std::make_pair( id, ptr ) );
	}
	return ifs;
}
