//-------------------------------------------------------------------
///	\file    	CollisionBox.h
///	\date   	30/4/2004   10:53
///	\author		Rob Bateman
///	\brief      
/// \note       
///
//-------------------------------------------------------------------

#ifndef __CollisionBox__H__
#define __CollisionBox__H__

#ifdef WIN32
#pragma once
#endif

#include<stdlib.h>
#include<GL/glut.h>
#include "Object.h"

class XCollisionBox :
	public XObject
{
	friend std::istream &operator>>(std::istream&,XCollisionBox&);

public:
	XCollisionBox(void);
	~XCollisionBox(void);

	/// gets the type of the object
	virtual XFn::Type GetType() const {
		return XFn::CollisionBox;
	}


	/// this function draws a deformed version of the mesh
	/// \param	mats	-	the material array to use
	/// \param	UseVerts	-	the vertices to use
	/// \param	UseNorms	-	the normals to use
	virtual void gl(XMaterialList& mats,
		XVertList* UseVerts,
		XNormList* UseNorms);

	const float& GetX() const { return x; }
	const float& GetY() const { return y; }
	const float& GetZ() const { return z; }

protected:

	float x,y,z;

};


#endif

