//-------------------------------------------------------------------
///	\file    	CollisionSphere.h
///	\date   	30/4/2004   10:53
///	\author		Rob Bateman
///	\brief      
/// \note       
///
//-------------------------------------------------------------------

#ifndef __CollisionSphere__H__
#define __CollisionSphere__H__

#ifdef WIN32
#pragma once
#endif

#include<stdlib.h>
#include<GL/glut.h>
#include "Object.h"

class XCollisionSphere :
	public XObject
{
	friend std::istream &operator>>(std::istream&,XCollisionSphere&);

public:
	XCollisionSphere(void);
	~XCollisionSphere(void);


	virtual XFn::Type GetType() const {
		return XFn::CollisionSphere;
	}

	/// this function draws a deformed version of the mesh
	/// \param	mats	-	the material array to use
	/// \param	UseVerts	-	the vertices to use
	/// \param	UseNorms	-	the normals to use
	virtual void gl(XMaterialList& mats,
		XVertList* UseVerts,
		XNormList* UseNorms);

	const float& GetRadius() const;

protected:

	float m_Radius;

};


#endif


