#include "Deformer.h"

XDeformer::XDeformer(XModel* M) 
	: XObject(), m_Model(M)
{
}

XDeformer::~XDeformer()
{
}


/// \brief	This function allows deformers to get access to the bones used 
///			in the model. 
/// \param	id	-	the id of the bone to return
/// \return a pointer to the bone
/// 
XBone* XDeformer::GetBone( unsigned int id ) {
	assert(m_Model);
	return m_Model->GetBone(id);
}	

/// \brief	This function allows deformers to get access to the objects used 
///			in the model. 
/// \param	id	-	the id of the object to return
/// \return a pointer to the object
/// 
XObject* XDeformer::GetObject( unsigned int id ){
	assert(m_Model);
	return m_Model->GetObject(id);
}