//-------------------------------------------------------------------
///	\file    	Deformer.h
///	\date   	29/4/2004   14:26
///	\author		Rob Bateman
///	\brief      
/// \note       
///
//-------------------------------------------------------------------

#ifndef __Deformer__H__
#define __Deformer__H__

	#ifdef WIN32
		#pragma once
	#endif

	#include <assert.h>
	#include "Object.h"
	#include "Bone.h"
		
	class XModel;

	//-------------------------------------------------------------------
	/// \brief  
	///
	class XDeformer :
		public XObject
	{
	public:

		/// dtor
		~XDeformer();

		virtual XFn::Type GetType() const {
			return XFn::Deformer;
		}

	protected:

		/// ctor
		XDeformer(XModel*);

		/// \brief	This function allows deformers to get access to the bones used 
		///			in the model. 
		/// \param	id	-	the id of the bone to return
		/// \return a pointer to the bone
		/// 
		XBone* GetBone( unsigned int id );

		/// \brief	This function allows deformers to get access to the objects used 
		///			in the model. 
		/// \param	id	-	the id of the object to return
		/// \return a pointer to the object
		/// 
		XObject* GetObject( unsigned int id );

		/// the model this skin applies to - needed to get the bone hierarchy
		XModel* m_Model;

	};


	#include "Model.h"


#endif


