//-------------------------------------------------------------------
///	\file    	Locator.h
///	\date   	30/4/2004   10:53
///	\author		Rob Bateman
///	\brief      
/// \note       
///
//-------------------------------------------------------------------

#ifndef __Locator__H__
#define __Locator__H__

	#ifdef WIN32
		#pragma once
	#endif

	#include<stdlib.h>
	#include<GL/glut.h>
	#include "Object.h"

	//---------------------------------------------------------------
	///	\brief  Defines a simple locator node
	///
	class XLocator :
		public XObject
	{
		friend std::istream &operator>>(std::istream&,XLocator&);

	public:

		//-----------------------------------------------------------
		/// ctor
		XLocator(void);

		//-----------------------------------------------------------
		/// dtor
		~XLocator(void);

		//-----------------------------------------------------------
		/// this function draws a deformed version of the mesh
		/// \param	mats	-	the material array to use
		/// \param	UseVerts	-	the vertices to use
		/// \param	UseNorms	-	the normals to use
		virtual void gl(XMaterialList& mats,
			XVertList* UseVerts,
			XNormList* UseNorms);

		/// gets the type of the object
		virtual XFn::Type GetType() const {
			return XFn::Locator;
		}

	protected:

		/// the name of the locator
		std::string m_Name;

	};


#endif

