#include "ParametricCurve.h"

XParametricCurve::XParametricCurve()
	: XObject(),
	  XParametricBase(this),
	  m_VertexArray(0)
{
}

XParametricCurve::~XParametricCurve()
{
	delete [] m_VertexArray;
	m_VertexArray=0;
}

//-------------------------------------------------------------------
/// this function draws the mesh data
void XParametricCurve::gl(XMaterialList& mats,
					  XVertList* UseVerts,
					  XNormList* UseNorms)
{
	if( !DrawCurves() )
		return;

	// If you wanted the surface to re-calculate it's blending
	// functions every frame, you could theoretically un-comment
	// this call to do it. It would however be better to use lazy
	// evaluation and only change the blending factors when the 
	// Lod changes

	//	OnSetLod();


	// The parametric base can be 'locked' in place to prevent pointless
	// calculation of the surface if it's not needed.
	//
	if( !Locked() ) {
		Evaluate(UseVerts);
	}

	glDisable(GL_LIGHTING);
	glDisable(GL_TEXTURE_2D);

	glColor3f(1,0,0);

	// enable vertex arrays
	glVertexPointer(3,GL_FLOAT,0,m_VertexArray);
	glEnableClientState( GL_VERTEX_ARRAY );

	// bang em out as a triangle strip....
	glDrawArrays(GL_LINE_STRIP,0,GetLOD());

	glDisableClientState( GL_VERTEX_ARRAY );

	glEnable(GL_LIGHTING);
	glEnable(GL_TEXTURE_2D);

}