//-------------------------------------------------------------------
///	\file    	ParametricCurve.h
///	\date   	2/5/2004   21:47
///	\author		Rob Bateman
///	\brief      
/// \note       
///
//-------------------------------------------------------------------

#ifndef __ParametricCurve__H__
#define __ParametricCurve__H__

	#ifdef WIN32
		#pragma once
	#endif

	#include "Object.h"
	#include "ParametricBase.h"

	//-------------------------------------------------------------------
	/// \brief	defines the base class of all 
	///
	class XParametricCurve
		: public XObject,
		public XParametricBase
	{
	public:

		//---------------------------------------------------------------
		/// ctor
		XParametricCurve();

		//---------------------------------------------------------------
		/// dtor
		~XParametricCurve();


		//---------------------------------------------------------------
		/// \brief	Returns a set of points for the pre-tesselated surface
		/// \return	pointer to the vertex array for this object
		/// 
		virtual XVertList* Points() {
			return &m_CVs;
		}

		//---------------------------------------------------------------
		/// this function draws the mesh data
		void gl(XMaterialList& mats,
			XVertList* UseVerts,
			XNormList* UseNorms);

	protected:

		/// the output array of points generated
		float *m_VertexArray;

		/// the list of CV's in the surface
		XVertList m_CVs;
	};

#endif

