///-----------------------------------------------------------------------------
/// 
/// \file	Texture.cpp
/// \author	Rob Bateman
/// \brief	This file defines the XImageHeader and the XTexture classes. These 
///			are used to read a texture file from a texture file
/// \note	
/// 		This sourcefile is provided for free use for non-commercial purposes only. The
/// 		Software is provided 'as is' and no responsibility can be taken for any damages
/// 		that may be caused while using it. If you make use of this software within 
/// 		your code then it would be nice to have a small credit somewhere in your
/// 		finished product for my hard work :(
/// 		An e-mail saying you found it useful and possibly even a link to your product
/// 		would be really nice too ;)
///
///			Slip me a couple of quid and i might be kind enough to offer assistance in
/// 		sorting out your exporters ;) 
///
///				(C) 2004 Rob 'give me a job offer' Bateman 
/// 
/// 
///-----------------------------------------------------------------------------

#include "Texture.h"
#include <assert.h>

XTexture::XTexture(void)
{
}

XTexture::~XTexture(void)
{
}

/// this function reads a texture from the specified file pointer
bool XTexture::Read(FILE* fp)
{
	// read the 2 byte image header
	if( 0 != fread(&m_Header,sizeof(XImageHeader),1,fp) )
	{
		// get the size of the pixel data
		unsigned int size = GetWidth()*GetHeight()*GetBytesPerPixel();

		// allocate memory for it
		m_Pixels = new unsigned char [ size ];
		assert(m_Pixels);

		// read the pixel data from the file
		if(0!=fread(m_Pixels,size,1,fp))
			return true;
	}
	return false;
}
